Bug 1053382 - [GSS] (6.2.x) No way to configure appName for audit log over syslog
Summary: [GSS] (6.2.x) No way to configure appName for audit log over syslog
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: CR1
: EAP 6.2.1
Assignee: Brian Stansberry
QA Contact: Petr Kremensky
Russell Dickenson
URL:
Whiteboard:
Depends On: 1053355
Blocks: eap62-cp01-blockers
TreeView+ depends on / blocked
 
Reported: 2014-01-15 06:57 UTC by Kyle Lape
Modified: 2018-12-04 16:58 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In previous versions of JBoss EAP 6, an appName was not configurable via a system property. This ability was a requirement within specification RFC-5424. This ability has now been added to JBoss EAP 6.2.1 and can be used with the following command syntax: -Dorg.jboss.TEMP.audit.log.appName=APP_NAME
Clone Of: 1053355
Environment:
Last Closed: 2014-02-24 20:15:20 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2753 Major Closed Workaround for auditlog syslog appName not being configurable 2014-04-25 01:30:30 UTC

Description Kyle Lape 2014-01-15 06:57:40 UTC
**Backport for 6.2.x

Be able to configure this with a system property, this is the approach we can take in 6.2.x which cannot change the management API.

Comment 1 JBoss JIRA Server 2014-01-15 14:32:14 UTC
Kabir Khan <kabir.khan@jboss.com> updated the status of jira WFLY-2753 to Resolved

Comment 2 JBoss JIRA Server 2014-01-15 14:32:24 UTC
Kabir Khan <kabir.khan@jboss.com> updated the status of jira WFLY-2753 to Closed

Comment 3 Scott Mumford 2014-01-20 01:01:52 UTC
Marking for inclusion in 6.2.1 release notes documentation.

Comment 4 Scott Mumford 2014-01-22 01:18:06 UTC
Added draft release note text.

Comment 5 Nikoleta Hlavickova 2014-01-29 08:06:14 UTC
Verified for 6.2.1.CP.CR3.


Note You need to log in before you can comment on or make changes to this bug.